ocsp.h: Fix backward compatibility decl for OCSP_parse_url() by including http.h
[openssl.git] / include / internal / deprecated.h
1 /*
2  * Copyright 2016-2020 The OpenSSL Project Authors. All Rights Reserved.
3  *
4  * Licensed under the Apache License 2.0 (the "License").  You may not use
5  * this file except in compliance with the License.  You can obtain a copy
6  * in the file LICENSE in the source distribution or at
7  * https://www.openssl.org/source/license.html
8  */
9
10 /*
11  * This header file should be included by internal code that needs to use APIs
12  * that have been deprecated for public use, but where those symbols will still
13  * be available internally. For example the EVP and provider code needs to use
14  * low level APIs that are otherwise deprecated.
15  *
16  * This header *must* be the first OpenSSL header included by a source file.
17  */
18
19 #ifndef OSSL_INTERNAL_DEPRECATED_H
20 # define OSSL_INTERNAL_DEPRECATED_H
21
22 # include <openssl/configuration.h>
23
24 # undef OPENSSL_NO_DEPRECATED
25 # define OPENSSL_SUPPRESS_DEPRECATED
26
27 # include <openssl/macros.h>
28
29 #endif